Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class FolderUtilities

    java.lang.Object
      oracle.ifs.core.util.FolderUtilities

    public class FolderUtilities

extends java.lang.Object

A FolderUtilities is collection of utility methods used for working with folders.

Field Summary
`static char[]` | `ILLEGAL_PATH_CHARACTERS` The set of illegal path and foldered object name characters for iFS

Constructor Summary
`FolderUtilities()`

Method Summary
`static PublicObject` | `findObjectByAbsolutePath(LibrarySession session, java.lang.String path)` Look up an object by the specified absolute path.
`static boolean` | `folderLinksExist(LibrarySession session, java.lang.String path)` Returns true if the given absolute path contains any FolderLink objects.
`static boolean` | `isLegalFolderedObjectName(java.lang.String name)` Returns true if the given name is legal to use as the name for a foldered object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ILLEGAL_PATH_CHARACTERS

    public static final char[] ILLEGAL_PATH_CHARACTERS

  Description copied from class: `FolderUtilities`
  The set of illegal path and foldered object name characters for iFS

Constructor Detail

### FolderUtilities

    public FolderUtilities()

Method Detail

### folderLinksExist

    public static boolean folderLinksExist(LibrarySession session,
                                           java.lang.String path)
                                    throws IfsException

  Description copied from class: `FolderUtilities`
  Returns true if the given absolute path contains any FolderLink objects.

  Parameters:
    `session` - the current session.
    `path` - the absolute path to test.
  Returns:
    true if path contains any FolderLink objects.
  Throws:
    `IfsException` - if the operation fails.

### isLegalFolderedObjectName

    public static boolean isLegalFolderedObjectName(java.lang.String name)

  Description copied from class: `FolderUtilities`
  Returns true if the given name is legal to use as the name for a foldered object.

  Parameters:
    `name` - the object name to check.
  Returns:
    true if name is legal.

### findObjectByAbsolutePath

    public static PublicObject findObjectByAbsolutePath(LibrarySession session,
                                                        java.lang.String path)
                                                 throws IfsException

  Description copied from class: `FolderUtilities`
  Look up an object by the specified absolute path.

  Parameters:
    `session` - LibrarySession context
    `path` - the absolute object path; for example "/A/B/C/D.doc"
  Returns:
    the PublicObject, if found
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD